(ns muneem.main
  (:require [muneem.import :as import]
            [muneem.etaoin :as download]))

(defn -main
  [& _args]
  (import/backup-beancount-file)
  (download/download-csv)
  (download/move-download)
  (import/main "./documents/checking.csv" true)
  (import/main "./documents/savings.csv" false)
  (import/move-beancount-file))

(defn bootstrap
  []
  (import/main "./documents/checking-last-year.csv" true)
  (import/main "./documents/checking-this-year-until-23-nov.csv" true)
  (import/main "./documents/savings-last-year.csv" false)
  (import/main "./documents/savings-this-year-until-23-nov.csv" false))

(comment
  (-main)
  (bootstrap))
